This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

classification
Title: regrtest: in case of test failure, add "always look on the bright side of life"
Type: Stage: resolved
Components: Tests Versions: Python 3.8
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: Nosy List: pablogsal, vstinner, xtreak
Priority: normal Keywords:

Created on 2018-07-30 23:57 by vstinner, last changed 2022-04-11 14:59 by admin. This issue is now closed.

Messages (2)
msg322701 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-07-30 23:57
Debugging tests failures can be depressing, especially when working on race conditions of Python buildbots. I propose to add an easter egg in regrtest for that: in case of test of failure, write "Tests failed but... always look on the bring side of life".

This idea should be credited to Pablo Salgado!

Would it be possible to also play the song in background? Or maybe that's too much.

Maybe it should be a command line option? --always-look-on-the-bright-side-of-life, enabled by make buildbot?
msg322759 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2018-07-31 11:58
I was just searching for the line and came to know it's a Monty Python reference :) There seems to be a similar example here with reference to this : https://docs.python.org/3.8/library/tarfile.html#command-line-interface

python -m tarfile -c monty.tar life-of-brian_1979/

Thanks much for your work on the buildbots :)
History
Date User Action Args
2022-04-11 14:59:04adminsetgithub: 78466
2018-09-19 23:06:08vstinnersetstatus: open -> closed
resolution: wont fix
stage: resolved
2018-07-31 11:58:58xtreaksetnosy: + xtreak
messages: + msg322759
2018-07-30 23:57:43vstinnercreate